/*--------------------------------------------------------
                              blink.c

    erstes Blinky - Demoprogramm fuer den Padauk PFS154
    "Ulta-Low-Cost" Controller.

    Blinkprogramm mit 2 unterschiedlichen Blinkfrequenzen
    die mittels Taster ausgewaehlt werden koennen.

     Compiler  : SDCC 4.0.3 .. 4.4.4
     MCU       : PFS154

     25.11.2024        R. Seelig

  -------------------------------------------------------- */

#include <pdk/device.h>
#include <stdint.h>
#include "pdk_init.h"
#include "pfs1xx_gpio.h"
#include "delay.h"

// LED-Anschlusspin

#define ledpin    2

#if (ledpin == 1)

  #define led_init()     PA0_output_init()
  #define led_set()      PA0_clr()
  #define led_clr()      PA0_set()
  #define led_toggle()   PA0_toggle()

#elif (ledpin == 2)

  #define led_init()     PB2_output_init()
  #define led_set()      PB2_clr()
  #define led_clr()      PB2_set()
  #define led_toggle()   PB2_toggle()

#else

    #error "Kein LED-Anschluss angegeben"

#endif

#define speed1       500
#define speed2       500


/* --------------------------------------------------
                           main
   -------------------------------------------------- */
void main(void)
{

  led_init();


  while(1)
  {
    led_set();
    delay(speed2);
    led_clr();
    delay(speed1);
  }
}

